petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmGetField

Get access to the underlying array storing all entries associated with a registered field

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmGetField(DM dm,const char fieldname[],PetscInt *blocksize,PetscDataType *type,void **data)

Not collective

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name to identify this field

### Output parameters

| blocksize | - the number of each data type
| type | - the data type
| data | - pointer to raw array

### Notes

The array must be returned using a matching call to DMSwarmRestoreField().

### See Also

DMSwarmRestoreField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages